<?php

//Add a style sheet and scripts to the wp_header
if(!is_admin()){
	
	wp_enqueue_style('tfs_enhanced', get_template_directory_uri() . '/css/enhanced.css');
	wp_enqueue_script('tfs_modernizr', get_template_directory_uri() . '/js/modernizr.js', array('jquery')  );
	
}


//Add a customer Header
$args = array(
	'flex-width'    => true,
	'width'         => 980,
	'flex-height'    => true,
	'height'        => 200,
	'default-image' => get_template_directory_uri() . '/images/header.jpg',
);
add_theme_support( 'custom-header', $args );


//Add custom background
$defaults = array(
	'default-color'          => '',
	'default-image'          => '',
	'wp-head-callback'       => '_custom_background_cb',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''
);
add_theme_support( 'custom-background', $defaults );

//Add custom menu support
function register_my_menus() {
  register_nav_menus(
    array(
      'header-menu' => __( 'Header Menu' ),
      'footer-menu' => __( 'Footer Menu' ),
	  'service-menu' => __( 'Service Menu')
    )
  );
}
add_action( 'init', 'register_my_menus' );


// Adds the Customize page to the WordPress admin area if you did not add 'add_theme_support'
// above. Causes duplicate Customize menu if you do
//  
// function example_customizer_menu() {
//     add_theme_page( 'Customizer', 'Customizer', 'edit_theme_options', 'customize.php' );
// }
// add_action( 'admin_menu', 'example_customizer_menu' );


// Adds the individual sections, settings, and controls to the theme customizer
function example_customizer( $wp_customize ) {
	$wp_customize->add_section(
	    'themeFromScratch_section_one',
	    array(
	        'title' => 'Theme Settings',
	        'description' => 'This is a settings section.',
	        'priority' => 35,
	    )
	);


	//Custom Logo
		$wp_customize->add_section( 'themeslug_logo_section' , array(
		    'title'       => __( 'Logo', 'themeslug' ),
		    'priority'    => 30,
		    'description' => 'Upload a logo to replace the default site name and description in the header',
		) );

		$wp_customize->add_setting( 'themeslug_logo' );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( 
				$wp_customize, 'themeslug_logo', array(
			    'label'    => __( 'Logo', 'themeslug' ),
			    'section'  => 'themeslug_logo_section',
			    'settings' => 'themeslug_logo'
				) 
			) 
		);


	//Copyright information
	$wp_customize->add_setting(
	 'copyright_textbox',
	 array(
	     'default' => 'Default copyright text',
	 )
	);

	$wp_customize->add_control(
	 'copyright_textbox',
	 array(
	     'label' => 'Copyright text',
	     'section' => 'themeFromScratch_section_one',
	     'type' => 'text',
	 )
	);
	$wp_customize->add_setting(
	    'hide_copyright'
	);
	
	$wp_customize->add_control(
	    'hide_copyright',
	    array(
	        'type' => 'checkbox',
	        'label' => 'Hide copyright text',
	        'section' => 'themeFromScratch_section_one',
	    )
	);
	
}
add_action( 'customize_register', 'example_customizer' );
?>